Subject: Re: bug#31888: 27.0.50; Segmentation fault in replace-buffer-contents

From: João Távora <[email-masked]>
Date: Sat, 30 Jun 2018 14:28:08 +0100

On Sat, Jun 30, 2018, 12:03 Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Cc: [email-masked],  [email-masked],  [email-masked],
> [email-masked]
> > Date: Sat, 30 Jun 2018 09:33:48 +0100
> >
> >    The point here is that if modification hook sees the whole file as
> >    changed, Eglot is just as inneficient as the server.
>
> Not the whole file, the whole narrowed region.

If the server replies with the whole file, Eglot has no chance but to
widen() before applying, so both things are the same

But anyway, I posted a
> followup that should do what you want, I think.
>

I think so too, so thanks.

João